const { drgWithAttach, env } = require('./util');

async function getPersonWithHealthCareInformation(attach, patientCPR) {
    //Data til kald af SCES dannes
    const body = {
        id: 'sces.personLookupWithHealthCareInformation.1.0.4',
        role: 'some.org',
        endpoint: env,
        fields: {
            PersonCivilRegistrationIdentifier: patientCPR,
        },
        'auth-attributes': {},
    };

    //SCES kaldes så man kan se om YderNr er registreret som læge for patienten
    return await drgWithAttach(attach, body);
}

async function personLookup(attach, patientCPR) {
    const body = {
        id: 'sces.personLookup.1.0.4',
        role: 'some.org',
        endpoint: env,
        fields: {
            PersonCivilRegistrationIdentifier: patientCPR,
        },
        'auth-attributes': {},
    };

    return await drgWithAttach(attach, body);
}
module.exports = {
    getPersonWithHealthCareInformation,
    personLookup,
};
